Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum QUuid.Variant

    java.lang.Object
      java.lang.Enum<QUuid.Variant>
          com.trolltech.qt.core.QUuid.Variant

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QUuid.Variant>

Enclosing class:
  QUuid

    public static enum QUuid.Variant

extends java.lang.Enum<QUuid.Variant>
implements QtEnumerator

This enum defines the variant of the UUID, which is the scheme which defines the layout of the 128-bits value.

Enum Constant Summary
`DCE` Distributed Computing Environment, the scheme used by `QUuid`
`Microsoft` Reserved for Microsoft backward compatibility (GUID)
`NCS` Reserved for NCS (Network Computing System) backward compatibility
`Reserved` Reserved for future definition
`VarUnknown` Variant is unknown

Method Summary
`static QUuid.Variant` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QUuid.Variant` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QUuid.Variant[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### VarUnknown

    public static final QUuid.Variant VarUnknown

  Variant is unknown

### NCS

    public static final QUuid.Variant NCS

  Reserved for NCS (Network Computing System) backward compatibility

### DCE

    public static final QUuid.Variant DCE

  Distributed Computing Environment, the scheme used by `QUuid`

### Microsoft

    public static final QUuid.Variant Microsoft

  Reserved for Microsoft backward compatibility (GUID)

### Reserved

    public static final QUuid.Variant Reserved

  Reserved for future definition

Method Detail

### values

    public static final QUuid.Variant[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QUuid.Variant c : QUuid.Variant.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QUuid.Variant valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QUuid.Variant resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD